Highlighted
Contributor
Contributor

Can't building the C# SSO DLL with Error: pvk2pfx command not found.

Visual Studio 2015 Community, Windows Driver Kit 10, Windows 10. I follow this doc http://pubs.vmware.com/vsphere-60/index.jsp#com.vmware.wssdk.dsg.doc/sdk_c_sharp_development.5.4.htm...

I navigate to the .NET subdirectory for SSO client samples.

cd %WS_SDK_HOME%\ssoclient\dotnet\cs\samples

and then generate a test certificate and STSService stubs using the build.bat script.

.\build.bat

I get this error:

'Files' is not recognized as an internal or external command,

operable program or batch file.

Error: pvk2pfx command not found.

       Please ensure that you have added path to pvk2pfx.exe to the PATH variable

I do file search, and pvk2pfx.exe doesn't not exist on a computer. MSDN says pvk2pfx.exe is included in WDK, but it's probably outdated info and after WDK installation, I still can't find pvk2pfx.exe

How to build the dll with VS2015?

0 Kudos
2 Replies
Highlighted
Enthusiast
Enthusiast

Well I have never tried to build that .dll, but I do have a working way to login by SSO (SessionManager.LoginBySSPI) and I took it directly from here: https://github.com/git-m1chael-dg/vSphereSdkSspiSample.  You just need a couple code files from that github and you can adjust as needed.  His implementation was for an older version of the VMWare sdk, but I was successful in updating it to vSphere SDK v5.5 and using in my asp.net webapp with only a little tweaking.  It uses Microsofts implementation of SSPI and the VMWare SDK.  Let me know if you need any help.

 

Josh

0 Kudos
Highlighted
Contributor
Contributor

I believe You followed the same documentation for setting up the 6.0  C#  SDK environment.

Few prerequisite requirements were  i.  Microsoft .NET Framework 2.0 SDK  and ii.Microsoft Web Services Enhancements (WSE) 3.0

Looks like both  the requirements obsolete and doesn’t support latest OS Win8/Win10, though it installs.

Reference :

https://www.microsoft.com/en-in/download/details.aspx?id=15354

https://www.microsoft.com/en-in/download/details.aspx?id=14089

Saying this vSphere 6.0 SDK maynot work with VS 2015. It may work only with VS 2008

0 Kudos